Partial Class EventTester_aspx
    Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        ' Demonstrate the ability to add metadata via the master object
        Master.Page.Header.Metadata.Add("Description", _
                "Sample master/content page")
        ' Get a reference to the textbox in the master page
        Dim txtEventLog As TextBox = _
            CType(Master.FindControl("txtEventLog"), TextBox)
        ' Since this is the first event, clear the log
        txtEventLog.Text = ""
        ' Print out the firing of this Page_Load event
        txtEventLog.Text += vbCrLf
        txtEventLog.Text += "Content Page_Load Event Fired"
    End Sub

    Sub btnPressMe_Click(ByVal sender As Object, ByVal e As System.EventArgs)
        ' Get a reference to the textbox in the master page
        Dim txtEventLog As TextBox = _
          CType(Master.FindControl("txtEventLog"), TextBox)
        ' Print out the firing of this button cluck event
        txtEventLog.Text += vbCrLf
        txtEventLog.Text += "Press Me Button Event Fired"
    End Sub
End Class
